<bugID>1404206<Summary>Needs discussion about inputmode value of Smart Location Bar</Summary><Description>Starting from bug 1240208, the Smart Location Bar has inputmode as "url":
https://searchfox.org/mozilla-central/rev/20e41d4a61a8f5e34c9cf357304b78b3e9bced8a/browser/base/content/urlbarBindings.xml#21,26,28,39,42

However, this causes bad UX with MS-IME for Japanese and Google Japanese Input on Windows since they automatically set IME open state to "closed" when input scope is only "URL". One possible solution is creating a pref to disable to set input scope in this case (bug 1253165).

On the other hand, now, default Photon UI does NOT have search bar with new profile. That means that user should use Smart Location Bar for searching web. So, changing input mode in Smart Location Bar really doesn't make sense now.

Additionally, Smart Location Bar works as search bar for bookmarks and history. So, only having "url" as inputmode is too odd.

Unfortunately, there is no proper inputmode value in the spec:
https://html.spec.whatwg.org/multipage/form-control-infrastructure.html#input-modalities:-the-inputmode-attribute

Therefore, I'd like to suggest that Smart Location Bar should have a special inputmode value such as "mozAwesomebar". Then, both Windows and Android IME handler should treat the value as "URL" or something better value.

What do you think, Gijs?


[Tracking Requested - why for this release]:
New default Photon UI changes the Smart Location Bar meaning with dropping search bar. So, we need to fix the inputmode value of it.</Description></bugID>